/* --- parent container --- */
.container-dynamic-items-widget_two {
    height: auto; 
    display: flex;
    justify-content: center;
    align-items: stretch; 
    gap: 29.5px;
    width: fit-content; 
    margin: 0 auto;
}

/* --- main title widget  --- */
.container-widget-dynamic-items_two h3 {
    text-align: center;
    margin-top: 30px !important;
    margin-bottom: 0px !important;
    font-size: 2em;
    font-weight: bold;
    transform: translateX(-2px);
}

/* --- individual --- */
.container-widget-item_two {

    width: 28em;
    display: flex;
    flex-direction: column;
    margin-top: 10px;
    margin-bottom: 20px;
    justify-content: center;
}

.container-widget-item_two a {
    border-bottom: none !important;
    align-content: center;
}

/* --- image --- */
.rectangular-shape-item_two {
    width: 100%;
    height: 28em;
    border-radius: 4px;
    background: rgba(0,0,0,.05) !important;
}

.rectangular-shape-item_two img  {
    width: 100%;
    height: 28em;
    border-radius: 2px;
}

/* --- title --- */
.container-widget-name_two {
   color: white;
    text-align: center;
    font-size: 1.5em;
    line-height: 1.2;
    overflow: hidden;
    padding:5px;
}

.container-widget-link-name_two {
     /* width: 28em; */
     width: 100%;
    margin-top: 10px;
    background: #0a0c0d;
    border-radius: 1.5em;
    flex-grow: 1; 
    display: flex;
    align-items: center; 
    justify-content: center; 
}

/* --- mobile (max-width: 768px) --- */
@media screen and (max-width: 768px) {
    /* ---the container --- */
    .container-dynamic-items-widget_two {
        max-width: 100%;
        width: 100%;
        height: auto;
        margin-bottom: 20px;
        overflow: visible; 
        box-sizing: border-box; 
        display: flex; 
        gap: 4px;
    }

    .container-widget-dynamic-items_two h3 {
        font-size: 1.7em;
        margin-top: 20px !important;
        margin-bottom: 0px !important;
    }

     .container-widget-link-name_two {
        width: 12em;
    }

    .container-widget-item_two {
        box-sizing: border-box;
        padding: 4px 8px;
        margin-bottom: 6px;
        width: auto;
        display: flex;
        align-items: center;
    }

    /* --- container two imgs --- */
    .rectangular-shape-item_two {
        width: 12em;
        height: 12em;
    }

     /* --- single img --- */
    .rectangular-shape-item_two img  {
        width: 100%; 
        height: 100%; 
        image-rendering: -webkit-optimize-contrast !important;
    }

    /* --- title under img --- */
    .container-widget-name_two {
        color: white;
        text-align: center;
        font-size: 1.2em;
        margin-bottom: 10px;
        overflow: hidden;
        padding: 4px;
    }
}